var http = require('http'),
	sys = require('sys');

exports.ElasticSearch = function(params) {
	this.elasticSearchPort = params.elasticSearchPort;
};

exports.ElasticSearch.prototype.open = function(indexName) {
	var client = http.createClient(this.elasticSearchPort, 'localhost');
	
	client.addListener('error', function() {});
	
	var request = client.request('POST', '/' + indexName + '/_open');
	request.end();
};

exports.ElasticSearch.prototype.close = function(indexName) {
	var client = http.createClient(this.elasticSearchPort, 'localhost');
	var request = client.request('POST', '/' + indexName + '/_close');

	client.addListener('error', function() {});

	request.end();
};